Bug 131170 - libnss_wins.so crashes elinks if used before DNS in host resolution
Summary: libnss_wins.so crashes elinks if used before DNS in host resolution
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: elinks   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-28 05:11 UTC by Dan Egli
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 0.9.2-0.rc4.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-13 17:14:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dan Egli 2004-08-28 05:11:37 UTC
Description of problem:
when using Samba dns module to resolve dns names via smb, elinks will
not locate any domain, and always dumps to screen. I cannot copy/paste
but an approximation is:

ap, Mimetypes files), Bookmarks, Cookies, Forms History, Global
History, URI rewrite


elinks[dump_backtrace+0x1d][0x80c748d]
elinks[0x8090674]
elinks[0x80909af]
/lib/tls/libc.so.6[0x791f38]
/lib/libnss_wins.so.2[0x3c31b0]
/lib/libnss_wins.so.2[init_                    4e]
/lib/libnss_wins.so.2[init_                   


and so on. I would prefer to not type the whole thing.


Version-Release number of selected component (if applicable):
elinks-0.9.1-1

How reproducible:
Always. Gaurenteed

Steps to Reproduce:
1. modify the hosts line of /etc/nsswitch.conf to have wins BEFORE dns
2. run Elinks
3. Watch the crash
  
Actual results:

Screen as shown above.

Expected results:

Should work.

Additional info:

Comment 1 Karel Zak 2004-09-13 14:56:49 UTC
This is already know "bug":
   http://bugzilla.elinks.or.cz/show_bug.cgi?id=453

elinks and samba define same function name "convert_string()", but
each does something other... and if elinks calls getaddrinfo() it
loads libnss_wins.so with this function into elinks and it crash.

Solutions: never use and export common names in samba, elinks and all
others projects!

Comment 2 Tim Waugh 2004-09-13 17:14:15 UTC
Thanks for the pointer.  Patch included in 0.9.2-0.rc4.3.


Note You need to log in before you can comment on or make changes to this bug.